MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027952Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-11 22:502016-12-09 16:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027952: Visualization - do not reset RayTracing state on changing structures not in main Z-Layer
DescriptionCurrent implementation reevaluates structure list on removing raytraceable structures from OpenGl_LayerList.

This invalidation is performed without check in which Z-Layer modification occurs, which results in redundant update, since only Graphic3d_ZLayerId_Default is actually handled by Ray-Tracing engine.
Steps To Reproduce
source $env(CSF_OCCTSamplesPath)/tcl/pathtrace.tcl
vremove c
vdisplay c -layer -2
vfps
verase c
# bug - ray-tracing is invalidated
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0058597)
git (administrator)
2016-10-11 22:55

Branch CR27952 has been created by kgv.

SHA-1: 04d9562617e7fd231992ceeb49dd208bc24ff41a


Detailed log of new commits:

Author: kgv
Date: Tue Oct 11 22:55:25 2016 +0300

    0027952: Visualization - do not reset RayTracing state on changing structures not in main Z-Layer
(0058598)
kgv (developer)
2016-10-11 22:56

Patch is ready for review (test case is not needed).
(0058605)
san (developer)
2016-10-12 11:16

Branch CR27952 reviewed without remarks, ready for testing.
(0058634)
mkv (tester)
2016-10-12 19:32

Dear BugMaster,
Branch CR27952 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 04d9562617e7fd231992ceeb49dd208bc24ff41a

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1137

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90742601 / 91119147 [-0.41%]
Total CPU difference: 19379.71999999993 / 19440.02000000002 [-0.31%]
products component :
Total MEMORY difference: 30068015 / 30010749 [+0.19%]
Total CPU difference: 5222.379999999984 / 5239.169999999957 [-0.32%]

Testing on Windows:
occt component :
Total MEMORY difference: 57231146 / 57241724 [-0.02%]
Total CPU difference: 19136.221467298616 / 18173.586096598698 [+5.30%]
products component :
Total MEMORY difference: 21277716 / 21240754 [+0.17%]
Total CPU difference: 5460.924205699973 / 5008.287304199943 [+9.04%]

There are no differences in images found by testdiff.
(0058635)
mkv (tester)
2016-10-12 19:32

Dear BugMaster,
Branch CR27952 is TESTED.
(0059471)
git (administrator)
2016-10-28 21:42

Branch CR27952 has been deleted by kgv.

SHA-1: 04d9562617e7fd231992ceeb49dd208bc24ff41a

- Related Changesets
occt: master bd6a8454
Timestamp: 2016-10-11 19:55:25
Author: kgv
Committer: apn
Details ] Diff ]
0027952: Visualization - do not reset RayTracing state on changing structures not in main Z-Layer
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-11 22:50 kgv New Issue
2016-10-11 22:50 kgv Assigned To => kgv
2016-10-11 22:55 git Note Added: 0058597
2016-10-11 22:56 kgv Note Added: 0058598
2016-10-11 22:56 kgv Assigned To kgv => san
2016-10-11 22:56 kgv Status new => resolved
2016-10-12 11:16 san Note Added: 0058605
2016-10-12 11:16 san Assigned To san => bugmaster
2016-10-12 11:16 san Status resolved => reviewed
2016-10-12 12:04 mkv Assigned To bugmaster => mkv
2016-10-12 19:32 mkv Note Added: 0058634
2016-10-12 19:32 mkv Note Added: 0058635
2016-10-12 19:32 mkv Assigned To mkv => bugmaster
2016-10-12 19:32 mkv Status reviewed => tested
2016-10-20 15:13 apn Changeset attached => occt master bd6a8454
2016-10-20 15:13 apn Assigned To bugmaster => apn
2016-10-20 15:13 apn Status tested => verified
2016-10-20 15:13 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059471
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker